E-MailRelay

Public Member Functions | List of all members
GPop::Store Class Reference

A message store. More...

`#include <gpopstore.h>`

## Public Member Functions
| Store (const G::Path &spool_dir, bool by_name, bool allow_delete)
| Constructor. More...
G::Path | dir () const
| Returns the spool directory path. More...
bool | allowDelete () const
| Returns true if files can be deleted. More...
bool | byName () const
| Returns true if the spool directory is affected by the user name. More...
| Store (const Store &)=delete
| Store (Store &&)=delete
void | operator= (const Store &)=delete
void | operator= (Store &&)=delete

## Detailed Description

A message store.

Unlike the SMTP message store the POP message store allows content files to be in the envelope file's parent directory.

Definition at line 44 of file gpopstore.h.

## Constructor & Destructor Documentation

## ◆ Store()

GPop::Store::Store | ( | const G::Path & | spool_dir,
|  | bool | by_name,
|  | bool | allow_delete
| ) |  |

Constructor.

Definition at line 68 of file gpopstore.cpp.

## Member Function Documentation

## ◆ allowDelete()

bool GPop::Store::allowDelete | ( |  | ) | const

Returns true if files can be deleted.

Definition at line 81 of file gpopstore.cpp.

## ◆ byName()

bool GPop::Store::byName | ( |  | ) | const

Returns true if the spool directory is affected by the user name.

Definition at line 86 of file gpopstore.cpp.

## ◆ dir()

G::Path GPop::Store::dir | ( |  | ) | const

Returns the spool directory path.

Definition at line 76 of file gpopstore.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopstore.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gpop/gpopstore.cpp